My Account     Contact Us     Cart

Reply To: Android 4.4.2 no longer supported

Home Forums Avenza Maps General Android 4.4.2 no longer supported Reply To: Android 4.4.2 no longer supported

#9317
rebecca
Member

Hello,

Thank you for your post! Avenza Maps is only compatible with Android OS 5.0 and newer. If you are able to update your Android OS to version 5.0 or newer, you will be able to download Avenza Maps from the Google Play Store. You can check to see if your device can update by going to your device Settings > About.

If you have any further questions please let me know!

Best,
Rebecca Bennett
Applications Specialist